using System.ComponentModel;

namespace Back.Program.Common.Model;

public static class ResposeCode
{
    public const string Success = "000";
    public const string InputErr = "100";
    public const string OutputErr = "200";
    public const string NetworkErr = "300";
    public const string UnknownErr = "999";
}
public class AcaException : Exception
{
    public string Code { get; }
    public int HttpStatus { get; }

    public AcaException(string code, string message, int httpStatus = 400) : base(message)
    {
        this.Code = code;
        this.HttpStatus = httpStatus;
    }
}


