using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace Back.Program.Models.Entities
{
    [Table("login")]
    public class Login
    {
        [Key]
        [Required(ErrorMessage = "필수 항목 누락")]
        [MaxLength(100)]
        public string sns_id {get; set;}
    
        [Required(ErrorMessage = "필수 항목 누락")]
        [MaxLength(70)]
        public string uid {get; set;}
    
        [Required(ErrorMessage = "필수 항목 누락")]
        [MaxLength(4)]
        public string sns_type {get; set;}
    }

    [Table("user_academy")]
    public class User_Academy
    {
        [Key]
        [Required(ErrorMessage = "필수 항목 누락")]
        public string uid { get; set; }
    
        [Required(ErrorMessage = "필수 항목 누락")]
        public string bid { get; set; }
    
        [Required(ErrorMessage = "필수 항목 누락")]
        public DateTime register_date { get; set; }
    
        [Required(ErrorMessage = "필수 항목 누락")]
        public bool status { get; set; }
    }

    [Table("user")]
    public class User 
    {
        [Key]
        [Required(ErrorMessage = "필수 항목 누락")]
        public string uid { get; set; }
    
        [Required(ErrorMessage = "필수 항목 누락")]
        public string name { get; set; }
        public DateTime? birth { get; set; }
    
        [Required(ErrorMessage = "필수 항목 누락")]
        public string type { get; set; }
    
        public string? device_id { get; set; }
    
        [Required(ErrorMessage = "필수 항목 누락")]
        public bool auto_login_yn { get; set; }
    
        [Required(ErrorMessage = "필수 항목 누락")]
        public DateTime login_date { get; set; }
        public string? push_token { get; set; }
    }


    [Table("permission")]
    public class Permission
    {
        [Key]
    
        [Required(ErrorMessage = "필수 항목 누락")]
        public string uid { get; set; }

        public bool location_yn {get; set;}
        public bool camera_yn {get; set;}
        public bool photo_yn {get; set;}
        public bool push_yn {get; set;}
        public bool market_app_yn {get; set;}
        public bool market_sms_yn {get; set;}
        public bool market_email_yn {get; set;}
    }


    [Table("location")]
    public class Location
    {
        [Key]
    
        [Required(ErrorMessage = "필수 항목 누락")]
        public string uid { get; set; }
    
        [Required(ErrorMessage = "필수 항목 누락")]
        public string lat { get; set; }
    
        [Required(ErrorMessage = "필수 항목 누락")]
        public string lng { get; set; }
    }

    [Table("contact")]
    public class Contact
    {
        [Key]
    
        [Required(ErrorMessage = "필수 항목 누락")]
        public string uid { get; set; }
    
        [Required(ErrorMessage = "필수 항목 누락")]
        public string email { get; set; }
        public string? phone { get; set; }
        public string? address { get; set; }
    }

// -- -- -- -- -- DB 테이블 -- -- -- -- -- //

    public class UserAll
    {
        [Required(ErrorMessage = "필수 항목 누락")]
        public string name { get; set; }
    
        public DateTime? birth { get; set; }
    
        [Required(ErrorMessage = "필수 항목 누락")]
        public string type { get; set; }
    
        public string? device_id { get; set; }
    
        public bool auto_login_yn { get; set; }
        public DateTime login_date { get; set; }
        public string? push_token { get; set; }

        [Required(ErrorMessage = "필수 항목 누락")]
        public string email { get; set; }
        public string? phone { get; set; }
        public string? address { get; set; }
    
        public bool location_yn {get; set;}
        public bool camera_yn {get; set;}
        public bool photo_yn {get; set;}
        public bool push_yn {get; set;}
        public bool market_app_yn {get; set;}
        public bool market_sms_yn {get; set;}
        public bool market_email_yn {get; set;}
    
        [Required(ErrorMessage = "필수 항목 누락")]
        public string sns_id {get; set;}
    
        [Required(ErrorMessage = "필수 항목 누락")]
        public string sns_type {get; set;}
    }
}