using Back.Program.Common.Model;
using Back.Program.Models.Entities;

namespace Back.Program.Services.V1.Interfaces;

public interface IPushService
{

    Task SendPushNotificationAsync(string deviceToken, Payload payload);
    Task<APIResponseStatus<object>> GetPush(string summary, string bid, string? pid, string? category);
    Task<APIResponseStatus<object>> SendPush(string summary, PushRequest pushRequest);
    Task<APIResponseStatus<object>> SetPush(string summary, string token, DBPayload request);
    Task<APIResponseStatus<object>> CreatePush(string summary, string token, CreatePush request);
    Task<APIResponseStatus<object>> DeletePush(string summary, string token, string bid, string pid);
    Task<APIResponseStatus<object>> DeleteListPush(string summary, string token, int id);
    Task<APIResponseStatus<object>> SearchToUserPush(string summary, string token, int size, PushCabinet? request);
    

}
