using Back.Program.Services.V1.Interfaces;

namespace Back.Program.Services.V1;

public class SessionService: ISessionService
{
    private readonly IHttpContextAccessor _http;
    public SessionService(IHttpContextAccessor http)
    {
        _http = http;
    }
    public Task<bool> SetString(string key, string value)
    {
        try
        {
            _http.HttpContext.Session.SetString(key, value);
            return Task.FromResult(true);
        }
        catch
        {
            return Task.FromResult(false);
        }
    }
    public Task<(bool result, string data)> GetString(string key)
    {
        try
        {
            var value = _http.HttpContext.Session.GetString(key);
            return Task.FromResult((true, value ?? string.Empty));
        }
        catch
        {
            return Task.FromResult((false, ""));
        }
    }
    public Task<bool> Remove(string key)
    {
        try
        {
            _http.HttpContext.Session.Remove(key);
            return Task.FromResult(true);
        }
        catch
        {
            return Task.FromResult(false);
        }
    } 
    
    
}